Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.desktop
Class StatusBar

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  org.crosswire.bibledesktop.desktop.StatusBar

All Implemented Interfaces:
  MouseListener, ImageObserver, MenuContainer, Serializable, EventListener, URLEventListener

    public class StatusBar

extends JComponent
implements MouseListener, URLEventListener

The status bar provides useful info to the user as to the current state of the program.

We need to think about the stuff to put in here:

- A status message. This changes with what the user is pointing at, so is very similar to tool-tips. Although they are commonly more instructional.
- A set of panels that tell you the time/if CAPS is presses and so on

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: StatusBar.java,v 1.6 2005/03/06 20:21:36 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`private JLabel` | `lbl_message` Where the help messages go
`private JLabel` | `lbl_name` Where the product name goes
`private JobsProgressBar` | `pnl_progr` Where the progress bars go
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`StatusBar()` Create a new StatusBar

Method Summary
`void` | `activateURL(URLEvent ev)` This method is called to indicate that an URL can be processed.
`void` | `enterURL(URLEvent ev)` This method is called to indicate that the mouse has entered the URL.
`private void` | `initialize()` Init the GUI
`void` | `leaveURL(URLEvent ev)` This method is called to indicate that the mouse has left the URL.
`void` | `mouseClicked(MouseEvent ev)` Invoked when the mouse has been clicked on a component.
`void` | `mouseEntered(MouseEvent ev)` When the mouse points at something that has registered with us to be shown on the statusbar
`void` | `mouseExited(MouseEvent ev)` When the mouse no longer points at something that has registered with us
`void` | `mousePressed(MouseEvent ev)` Invoked when a mouse button has been pressed on a component.
`void` | `mouseReleased(MouseEvent ev)` Invoked when a mouse button has been released on a component.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pnl_progr

    private JobsProgressBar pnl_progr

  Where the progress bars go

### lbl_message

    private JLabel lbl_message

  Where the help messages go

### lbl_name

    private JLabel lbl_name

  Where the product name goes

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### StatusBar

    public StatusBar()

  Create a new StatusBar

Method Detail

### initialize

    private void initialize()

  Init the GUI

### activateURL

    public void activateURL(URLEvent ev)

  Description copied from interface: `URLEventListener`
  This method is called to indicate that an URL can be processed.

  Specified by:
    `activateURL` in interface `URLEventListener`
  Parameters:
    `ev` - Describes the URL

### enterURL

    public void enterURL(URLEvent ev)

  Description copied from interface: `URLEventListener`
  This method is called to indicate that the mouse has entered the URL.

  Specified by:
    `enterURL` in interface `URLEventListener`
  Parameters:
    `ev` - Describes the URL

### leaveURL

    public void leaveURL(URLEvent ev)

  Description copied from interface: `URLEventListener`
  This method is called to indicate that the mouse has left the URL.

  Specified by:
    `leaveURL` in interface `URLEventListener`
  Parameters:
    `ev` - Describes the URL

### mouseEntered

    public void mouseEntered(MouseEvent ev)

  When the mouse points at something that has registered with us to be shown on the statusbar

  Specified by:
    `mouseEntered` in interface `MouseListener`
  See Also:
    `MouseListener.mouseEntered(java.awt.event.MouseEvent)`

### mouseExited

    public void mouseExited(MouseEvent ev)

  When the mouse no longer points at something that has registered with us

  Specified by:
    `mouseExited` in interface `MouseListener`
  See Also:
    `MouseListener.mouseExited(java.awt.event.MouseEvent)`

### mouseClicked

    public void mouseClicked(MouseEvent ev)

  Invoked when the mouse has been clicked on a component. Ignored

  Specified by:
    `mouseClicked` in interface `MouseListener`
  See Also:
    `MouseListener.mouseClicked(java.awt.event.MouseEvent)`

### mousePressed

    public void mousePressed(MouseEvent ev)

  Invoked when a mouse button has been pressed on a component. Ignored

  Specified by:
    `mousePressed` in interface `MouseListener`
  See Also:
    `MouseListener.mousePressed(java.awt.event.MouseEvent)`

### mouseReleased

    public void mouseReleased(MouseEvent ev)

  Invoked when a mouse button has been released on a component. Ignored

  Specified by:
    `mouseReleased` in interface `MouseListener`
  See Also:
    `MouseListener.mouseReleased(java.awt.event.MouseEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD